gRPC C#
gRPC C#
Namespaces
Grpc.Core
SslServerCredentials Class
SslServerCredentials Constructor
SslServerCredentials Constructor (IEnumerable(KeyCertificatePair))
SslServerCredentials Constructor (IEnumerable(KeyCertificatePair), String, Boolean)

SslServerCredentials Constructor (IEnumerable KeyCertificatePair , String, Boolean)

Creates server-side SSL credentials.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public SslServerCredentials(
    	IEnumerable<KeyCertificatePair> keyCertificatePairs,
    	string rootCertificates,
    	bool forceClientAuth
    )

    Public Sub New (
    	keyCertificatePairs As IEnumerable(Of KeyCertificatePair),
    	rootCertificates As String,
    	forceClientAuth As Boolean
    )

    public:
    SslServerCredentials(
    	IEnumerable<KeyCertificatePair^>^ keyCertificatePairs,
    	String^ rootCertificates,
    	bool forceClientAuth
    )

    new :
            keyCertificatePairs : IEnumerable<KeyCertificatePair> *
            rootCertificates : string *
            forceClientAuth : bool -> SslServerCredentials

#### Parameters

keyCertificatePairs
  Type: System.Collections.Generic
  IEnumerable
  KeyCertificatePair
  Key-certificates to use.
rootCertificates
  Type: System
  String
  PEM encoded client root certificates used to authenticate client.
forceClientAuth
  Type: System
  Boolean
  If true, client will be rejected unless it proves its unthenticity using against rootCertificates.

See Also

#### Reference

SslServerCredentials Class
SslServerCredentials Overload
Grpc.Core Namespace